%global _name             rubycas-server
# VERSION is subbed out during rake srpm process
%global realversion       1.1.17
%global rpmversion        1.1.17

%global name_prefix       pe-
%{!?_real_sysconfdir:     %global _real_sysconfdir  %{_sysconfdir}}
%{!?_orig_prefix:         %global _orig_prefix      %{_prefix}}

%global _sysconfdir       %{_real_sysconfdir}/puppetlabs
%global rubycas_conf_dir  %{_sysconfdir}/%{_name}

%global _prefix           /opt/puppet

Name:           %{name_prefix}%{_name}
Version:        %{rpmversion}
Release:        1.pe%{?dist}
Summary:        Single sign-on authentication for web applications

License:        MIT
URL:            http://rubycas.github.io/
Source0:        %{name}-%{realversion}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Group:          Development/Languages

BuildArch:      noarch

BuildRequires:  pe-puppet-dashboard
BuildRequires:  pe-console-auth

Requires:       pe-puppet-dashboard
Requires:       pe-console-auth

%description
Single sign-on authentication for web applications, implementing the server-end
of Jasig's CAS protocol

%prep
%setup -q -n %{name}-%{realversion}

%build
%install
%if 0%{?suse_version}
export NO_BRP_STALE_LINK_ERROR=yes
%endif
rm -rf $RPM_BUILD_ROOT

# Setup directories
install -d -m0755 $RPM_BUILD_ROOT%{_sysconfdir}/%{_name}
install -d -m0755 $RPM_BUILD_ROOT%{_sysconfdir}/httpd/console_apps.d
install -d -m0755 $RPM_BUILD_ROOT%{_datadir}/%{_name}
install -d -m0755 $RPM_BUILD_ROOT%{_datadir}/puppet-dashboard/public

cp -pr {db,gemfiles,lib,locales,public,tasks,Rakefile,config.ru} \
  $RPM_BUILD_ROOT%{_datadir}/%{_name}

chmod uog+Xr -R $RPM_BUILD_ROOT/opt/puppet/share/%{_name}

install -m0644 config/rubycas-server.vhost.conf $RPM_BUILD_ROOT%{_sysconfdir}/httpd/console_apps.d/

find $RPM_BUILD_ROOT%{_datadir}/%{_name} -type f | xargs chmod 644

# Set up empty files that are symlinked in the installer
install -d -m0755 $RPM_BUILD_ROOT%{rubycas_conf_dir}
touch $RPM_BUILD_ROOT%{rubycas_conf_dir}/config.yml

cd $RPM_BUILD_ROOT%{_datadir}/%{_name} ; \
  ln -sf %{rubycas_conf_dir}/config.yml config.yml

cd $RPM_BUILD_ROOT%{_datadir}/puppet-dashboard/public ; \
  ln -sf ../../%{_name}/public cas

# Ensure the ruby referenced is opt/puppet/bin
for file in `find $RPM_BUILD_ROOT/opt/puppet -type f`; do
  sed -i -e '1s,^#!.*ruby$,#!/opt/puppet/bin/ruby,' $file
done

%files
%defattr(-, root, root, -)
%{_datadir}/%{_name}
%{_sysconfdir}/%{_name}
%{_sysconfdir}/httpd/console_apps.d/rubycas-server.vhost.conf
%{_datadir}/puppet-dashboard/public/cas
%config(noreplace) %{rubycas_conf_dir}/config.yml

# Ensure correct permissions on config.ru file
%attr(644, pe-auth, pe-auth) %{_datadir}/%{_name}/config.ru

%changelog
* Tue Mar 25 2014 Puppet Labs Release <info@puppetlabs.com> - 1.1.17-1
- Build for 1.1.17

* Mon May 13 2013 Moses Mendoza <moses@puppetlabs.com> - 1.1.6-1.pe
- Initial PE packaging for rubycas-server

